Package com.plannaplan.responses.models

# Class ExchangeResponse

java.lang.Object
com.plannaplan.responses.models.ExchangeResponse

    public class ExchangeResponse
    extends java.lang.Object

Exchange proposal api repsonse

## Constructor Summary

Constructors
Constructor | Description
--- | ---
`ExchangeResponse​(com.plannaplan.entities.Exchange exchange)` | creat new instance

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`java.lang.String` | `getCourseName()` |
`GroupDefaultResponse` | `getDesiredGroup()` |
`java.lang.Long` | `getId()` |
`GroupDefaultResponse` | `getOwnedAssignment()` |
`void` | `setDesiredGroup​(GroupDefaultResponse desiredGroup)` |
`void` | `setId​(java.lang.Long id)` |
`void` | `setOwnedAssignment​(GroupDefaultResponse ownedAssignment)` |

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ExchangeResponse

public ExchangeResponse​(com.plannaplan.entities.Exchange exchange)
creat new instance

Parameters:
  `exchange` - entity to map to api repsone

## Method Details

### getCourseName

public java.lang.String getCourseName()

Returns:
  name of course related to exchange

### getDesiredGroup

public GroupDefaultResponse getDesiredGroup()

Returns:
  get api respondse of wanted byt user group

### setDesiredGroup

public void setDesiredGroup​(GroupDefaultResponse desiredGroup)

Parameters:
  `desiredGroup` - set api respondse of wanted byt user group

### getOwnedAssignment

public GroupDefaultResponse getOwnedAssignment()

Returns:
  get api respondse of owned user group

### setOwnedAssignment

public void setOwnedAssignment​(GroupDefaultResponse ownedAssignment)

Parameters:
  `ownedAssignment` - set api respondse of owned user group

### getId

public java.lang.Long getId()

Returns:
  database id

### setId

public void setId​(java.lang.Long id)

Parameters:
  `id` - set database id